:root {
    --primary: #335FFF;
    --danger: #E81123;
    --white: #FFFFFF;
    --lightgrey: #272930;
    --grey: #191A1F;
    --black: #121215;
    --padding: 100px;
    --width: 1500px;
}

@font-face {
    font-family: 'Poppins';
    src: url('../font/Poppins-Thin.woff2') format('woff2'),
         url('../font/Poppins-Thin.woff') format('woff');
    font-weight: 200;
    font-style: normal;
}
@font-face {
    font-family: 'Poppins';
    src: url('../font/Poppins-Light.woff2') format('woff2'),
         url('../font/Poppins-Light.woff') format('woff');
    font-weight: 300;
    font-style: normal;
}
@font-face {
    font-family: 'Poppins';
    src: url('../font/Poppins-Regular.woff2') format('woff2'),
         url('../font/Poppins-Regular.woff') format('woff');
    font-weight: 400;
    font-style: normal;
}
@font-face {
    font-family: 'Poppins';
    src: url('../font/Poppins-Medium.woff2') format('woff2'),
         url('../font/Poppins-Medium.woff') format('woff');
    font-weight: 500;
    font-style: normal;
}
@font-face {
    font-family: 'Poppins';
    src: url('../font/Poppins-Bold.woff2') format('woff2'),
         url('../font/Poppins-Bold.woff') format('woff');
    font-weight: 600;
    font-style: normal;
}
@font-face {
    font-family: 'Poppins';
    src: url('../font/Poppins-ExtraBold.woff2') format('woff2'),
         url('../font/Poppins-ExtraBold.woff') format('woff');
    font-weight: 700;
    font-style: normal;
}
@font-face {
    font-family: 'Poppins';
    src: url('../font/Poppins-ThinItalic.woff2') format('woff2'),
         url('../font/Poppins-ThinItalic.woff') format('woff');
    font-weight: 200;
    font-style: italic;
}
@font-face {
    font-family: 'Poppins';
    src: url('../font/Poppins-LightItalic.woff2') format('woff2'),
         url('../font/Poppins-LightItalic.woff') format('woff');
    font-weight: 300;
    font-style: italic;
}
@font-face {
    font-family: 'Poppins';
    src: url('../font/Poppins-RegularItalic.woff2') format('woff2'),
         url('../font/Poppins-RegularItalic.woff') format('woff');
    font-weight: 400;
    font-style: italic;
}
@font-face {
    font-family: 'Poppins';
    src: url('../font/Poppins-MediumItalic.woff2') format('woff2'),
         url('../font/Poppins-MediumItalic.woff') format('woff');
    font-weight: 500;
    font-style: italic;
}
@font-face {
    font-family: 'Poppins';
    src: url('../font/Marianne-BoldItalic.woff2') format('woff2'),
         url('../font/Marianne-BoldItalic.woff') format('woff');
    font-weight: 600;
    font-style: italic;
}
@font-face {
    font-family: 'Poppins';
    src: url('../font/Poppins-ExtraBoldItalic.woff2') format('woff2'),
         url('../font/Poppins-ExtraBoldItalic.woff') format('woff');
    font-weight: 700;
    font-style: italic;
}
@font-face {
    font-family: 'Thinker';
    src: url('../font/Thinker.woff2') format('woff2'),
         url('../font/Thinker.woff') format('woff');
    font-weight: 100;
}

html {
    scroll-behavior: smooth;
    overflow-x: hidden;
    width: 100%;
}

body {
    margin: 0;
    overflow-y: auto;
    overflow-x: hidden;
    height: 100%;
    width: 100%;
    text-size-adjust: 100%;
    font-family: 'Poppins';
    background-color: var(--black);
    color: var(--white);
    scroll-behavior: auto;
    display: flex;
    flex-direction: column;
    position: relative;
}

* {
    box-sizing: border-box;
}

br, a, button {
    user-select: none;
}

button, a, input, textarea {
    font-family: 'Poppins';
}

h1,h2,h3,h4,h5,h6 {
    margin: 0;
    font-size: unset;
    unicode-bidi: normal;
}

#transparent {
    background-color: transparent;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    max-height: 100%;
    max-width: 100%;
    z-index: 1000;
    backdrop-filter: brightness(0.3);
    opacity: 0;
    transition-duration: 0.15s;
    visibility: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow-y: auto;
    scrollbar-gutter: stable;
    user-select: none;
}
.centered {
    height: 100%;
    padding: 0 var(--padding);
    width: var(--width);
    height: 100%;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
}
.context {
    transform: scale(0.75);
    width: min(100vw, var(--width));
    height: calc(min(100vw, var(--width)) * (200vh / 100vw));
    max-height: calc(100vh - calc(var(--padding) * 2));
    border-radius: 16px;
    outline: none;
    border: none;
    transition-duration: 0.3s;
}
#transparent[visible] {
    visibility: visible;
    opacity: 1;
}

#transparent[visible] .context {
    transform: scale(1);
}




.wallpaper {
    height: 100%;
    max-height: 100%;
    min-height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
}

.gbanner {
    height: 100%;
    max-height: 100%;
    min-height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: end;
}

.content {
    align-items: center;
    justify-content: center;
    display: flex;
    height: 100%;
    width: 100%;
}

.navbar {
    padding: 20px 0;
    gap: 20px;
    justify-self: start;
    width: 100%;
    display: flex;
    min-height: max-content;
    justify-content: center;
    background-color: var(--grey);
    position: sticky;
    top: 0;
    left: 0;
    border-bottom: solid 1px var(--black);
    z-index: 100;
}

.navbar .void {
    width: 100%;
}
.navbar a, .navbar button {
    color: var(--white);
    padding: 10px 20px;
    border-radius: 8px;
    text-decoration: none;
    font-weight: 500;
    font-size: 18px;
    gap: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    border: solid 1px transparent;
    transition-duration: 0.3s;
    outline: none;
    min-height: max-content;
    cursor: pointer;
    background-color: transparent;
}
.navbar a > svg, .navbar button > svg {
    height: 11px;
    width: 11px;
    min-width: 11px;
    fill: var(--white);
}

.navbar a:hover, .navbar button:hover {
    border: solid 1px #FFFFFF22;
    background-color: #FFFFFF08;
}

.navbar a[selected], .navbar button[selected] {
    background-color: var(--white);
    border: solid 1px var(--white);
    color: var(--black);
}
.navbar a[selected] > svg, .navbar button[selected] > svg {
    fill: var(--black);
}

.rcenter {
    max-width: var(--width);
    padding: 0 var(--padding);
    width: 100%;
    position: relative;
    display: flex;
    gap: inherit;
}

.container {
    background-color: var(--grey);
    display: flex;
    flex-direction: column;
    align-items: center;
}